clang-tools 10.0.0

Namespaces | Functions
MultiwayPathsCoveredCheck.cpp File Reference
`#include "MultiwayPathsCoveredCheck.h"`
`#include "clang/AST/ASTContext.h"`
`#include <limits>`
Include dependency graph for MultiwayPathsCoveredCheck.cpp:

Go to the source code of this file.

## Namespaces
| clang
| ===– Representation.cpp - ClangDoc Representation --------—*- C++ -*-===//
| clang::tidy
| clang::tidy::hicpp

## Functions
static std::pair< std::size_t, bool > | clang::tidy::hicpp::countCaseLabels (const SwitchStmt *Switch)
static std::size_t | clang::tidy::hicpp::twoPow (std::size_t Bits)
| This function calculate 2 ** Bits and returns numeric_limits<std::size_t>::max() if an overflow occured. More...
static std::size_t | clang::tidy::hicpp::getNumberOfPossibleValues (QualType T, const ASTContext &Context)
| Get the number of possible values that can be switched on for the type T. More...